package de.fraunhofer.iem.dataprovider

import de.fraunhofer.iem.dataprovider.configuration.DirectoryPathsProperties
import de.fraunhofer.iem.dataprovider.configuration.OpenCodeApiProperties
import de.fraunhofer.iem.dataprovider.configuration.OpenCodeGitlabApiProperties
import de.fraunhofer.iem.dataprovider.configuration.security.SecurityProperties
import org.springframework.boot.autoconfigure.SpringBootApplication
import org.springframework.boot.context.properties.EnableConfigurationProperties
import org.springframework.boot.runApplication


@SpringBootApplication
@EnableConfigurationProperties(
    DirectoryPathsProperties::class,
    OpenCodeGitlabApiProperties::class,
    OpenCodeApiProperties::class,
    SecurityProperties::class
)
class DataProviderApplication

fun main(args: Array<String>) {
    runApplication<DataProviderApplication>(*args)
}
