package de.fraunhofer.iem.dataprovider.configuration

import jakarta.annotation.PostConstruct
import jakarta.validation.constraints.NotBlank
import org.springframework.boot.context.properties.ConfigurationProperties
import org.springframework.validation.annotation.Validated
import java.net.URL


@ConfigurationProperties(prefix = "opencode.api")
@Validated
data class OpenCodeApiProperties(
    @NotBlank
    val basePath: String,
    @NotBlank
    val ort: String
) {
    @PostConstruct
    fun postConstruct() {
        // There is no try catch block around the operations on purpose!
        // We want to throw here if this operations fail.
        URL(basePath).toURI()
    }
}