package de.fraunhofer.iem.dataprovider.configuration.security

import jakarta.validation.constraints.NotBlank
import org.hibernate.validator.constraints.Length
import org.springframework.boot.context.properties.ConfigurationProperties
import org.springframework.validation.annotation.Validated


@ConfigurationProperties(prefix = "security")
@Validated
data class SecurityProperties(
    @NotBlank
    @Length(min = 20)
    val adminPassword: String,
    @NotBlank
    @Length(min = 5)
    val adminUsername: String,
    @NotBlank
    @Length(min = 30)
    val apiKey: String
)
