package de.fraunhofer.iem.dataprovider.kpi.strategy

import de.fraunhofer.iem.dataprovider.kpi.dto.KPIHierarchyEdgeDto

class MaximumKPICalculationStrategy : KPICalculationStrategy {
    // TODO: Currently it's tailored to the maximum dependency vulnerability score, this should change in the future
    override fun calculateKPI(children: List<KPIHierarchyEdgeDto>): Int {
        var maximum = 0
        for (child in children) {
            if (child.to.value != null) {
                val childValue = child.to.value!!
                if (childValue > maximum) {
                    maximum = childValue
                }
            }
        }
        return (100 - (maximum))
    }
}
