package de.fraunhofer.iem.dataprovider.toolRun.entity

import de.fraunhofer.iem.dataprovider.repository.entity.RepositoryEntity
import de.fraunhofer.iem.dataprovider.tool.entity.ToolEntity
import jakarta.persistence.*
import org.hibernate.annotations.CurrentTimestamp
import org.hibernate.annotations.UpdateTimestamp
import org.hibernate.generator.EventType

import java.time.Instant
import java.util.*


@Entity
@Table(name = "tool_run")
class ToolRunEntity {
    @Id
    @GeneratedValue(strategy = GenerationType.AUTO)
    @Column(name = "id", nullable = false)
    var id: UUID? = null

    @ManyToOne(fetch = FetchType.EAGER)
    var repository: RepositoryEntity? = null


    @ManyToMany
    @JoinTable(
        name = "tool_run_tool_entities",
        joinColumns = [JoinColumn(name = "tool_run_entity_id")],
        inverseJoinColumns = [JoinColumn(name = "tool_entities_id")]
    )
    var toolEntities: MutableSet<ToolEntity> = mutableSetOf()

    @CurrentTimestamp(event = [EventType.INSERT])
    var createdAt: Instant? = null

    @UpdateTimestamp
    var lastUpdatedAt: Instant? = null
}
